﻿<%@ Control Language="VB" AutoEventWireup="false" CodeFile="feature.ascx.vb" Inherits="uc_feature" %>

<table>
        <tr>
            <td colspan="2">
                <asp:Label ID="lOutcome" runat="server" Visible="False"></asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="lSelectProject" runat="server" Text="Select Project"></asp:Label>
            </td>
            <td>
                <asp:DropDownList ID="ddlProjects" runat="server" Width="250px" />
                <asp:RequiredFieldValidator ID="rfvProjects" runat="server" 
                    ControlToValidate="ddlProjects" ErrorMessage="Please select a project!" 
                    InitialValue="0">*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td>
                &nbsp;<asp:Label ID="lFeatureName" runat="server" Text="Feature Name"></asp:Label>
            </td>
            <td>
                <asp:TextBox ID="tName" runat="server" Width="250px"></asp:TextBox>
                <asp:RequiredFieldValidator ID="ReqFieldFeatName" runat="server" ControlToValidate="tName"
                    ErrorMessage="Feature Name Required">*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td>
                &nbsp;<asp:Label ID="lFeatureStory" runat="server" Text="Feature Story"></asp:Label>
            </td>
            <td>
                <asp:TextBox ID="tStory" runat="server" Width="250px" MaxLength="500" Rows="10" TextMode="MultiLine" />
                <asp:RequiredFieldValidator ID="ReqFieldFeatStory" runat="server" ControlToValidate="tStory"
                    ErrorMessage="Story Required">*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td>
                &nbsp;<asp:Label ID="lSelectPriority" runat="server" Text="Select Priority"></asp:Label>
            </td>
            <td>
                <asp:DropDownList ID="ddlPriority" runat="server" />
                <asp:RequiredFieldValidator ID="ReqFieldPriority" runat="server" ControlToValidate="ddlPriority"
                    ErrorMessage="Priority Required" InitialValue="0">*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td>
                <asp:HiddenField ID="hFeatureId" runat="server" />
            </td>
            <td>
                <asp:Button ID="bSave" runat="server" Text="Save Feature" />
                <asp:Button ID="bNewFeature" runat="server" Text="Enter New Feature" 
                    Visible="False" />
            </td>
        </tr>
        <tr>
            <td>
            </td>
            <td>
                <asp:ValidationSummary ID="ValidationSummary" runat="server" />
            </td>
        </tr>
    </table>