﻿<%@ Control Language="VB" AutoEventWireup="false" CodeFile="project.ascx.vb" Inherits="uc_project" %>

<table>
        <tr>
            <td colspan="2">
                <asp:Label ID="lOutcome" runat="server" Visible="False"></asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label runat="server" ID="lProjectName" Text="Project Name" />
            </td>
            <td>
                <asp:TextBox runat="server" ID="tProjectName" Width="250px" MaxLength="50" />
                <asp:RequiredFieldValidator ID="ReqFieldProjectName" runat="server" 
                    ControlToValidate="tProjectName" ErrorMessage="Project Name is Required">*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="lProjectDesc" runat="server" Text="Project Description" />
            </td>
            <td>
                <asp:TextBox ID="tProjectDesc" runat="server" Width="250px" MaxLength="150" Rows="5"
                    TextMode="MultiLine" />
                <asp:RequiredFieldValidator ID="ReqFieldProjectDesc" runat="server" 
                    ControlToValidate="tProjectDesc" ErrorMessage="Project Description is Required">*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label runat="server" ID="lScrumMaster" Text="Scrum Master" />
            </td>
            <td>
                <asp:DropDownList ID="ddlScrumMasters" runat="server">
                </asp:DropDownList>
                <asp:RequiredFieldValidator ID="ReqFieldScrumMaster" runat="server" 
                    ControlToValidate="ddlScrumMasters" ErrorMessage="Scrum Master is Required">*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label runat="server" ID="lProjectOwner" Text="Project Owner" />
            </td>
            <td>
                <asp:DropDownList ID="ddlProjectOwners" runat="server">
                </asp:DropDownList>
                <asp:RequiredFieldValidator ID="ReqFieldProjectOwner" runat="server" 
                    ControlToValidate="ddlProjectOwners" ErrorMessage="Project Owner is Required">*</asp:RequiredFieldValidator>
                <asp:CompareValidator ID="CompareSMandPO" runat="server" 
                    ControlToCompare="ddlScrumMasters" ControlToValidate="ddlProjectOwners" 
                    ErrorMessage="Scrum Master cannot be Project Owner" Operator="NotEqual">*</asp:CompareValidator>
            </td>
        </tr>
        <tr>
            <td>
                <asp:HiddenField ID="hProjectId" runat="server" />
            </td>
            <td>
                <asp:Button ID="bSave" runat="server" Text="Save Project" />

                <asp:Button ID="bNewProject" runat="server" Text="Enter New Project" 
                    Visible="False" />

            </td>
        </tr>
        <tr>
            <td>
            </td>
            <td>
            
                <asp:ValidationSummary ID="ValidationSummary" runat="server" />
            
            </td>
            
        </tr>
    </table>
    
                    