<%@ Page Title="Update Subtask Status" Language="VB" MasterPageFile="~/scrum.master"
    AutoEventWireup="false" CodeFile="TaskProgress.aspx.vb" Inherits="DevTeam_TaskProgress" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <table>
                <tr>
                    <td colspan="3" style="text-align: center">
                        <asp:Label ID="lClaimTask" runat="server" Text="Claim a Subtask"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lSprint" runat="server" Text="Select Sprint:  "></asp:Label>
                    </td>
                    <td>
                        <asp:DropDownList ID="ddlSprints" runat="server" AutoPostBack="True" />
                    </td>
                    <td>
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lFeature" runat="server" Text="Select Feature:  "></asp:Label>
                    </td>
                    <td>
                        <asp:DropDownList ID="ddlFeaturesInSprint" runat="server" AutoPostBack="True" />
                    </td>
                    <td>
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lTasks" runat="server" Text="Select Subtask:  "></asp:Label>
                    </td>
                    <td>
                        <asp:DropDownList ID="ddlUnclaimedTasks" runat="server">
                        </asp:DropDownList>
                    </td>
                    <td>
                        <asp:RequiredFieldValidator ID="rfvSubtask" runat="server" ControlToValidate="ddlUnclaimedTasks"
                            Display="Dynamic" ErrorMessage="Choose a subtask!" InitialValue="0">*</asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:ValidationSummary ID="ValidationSummary1" runat="server" />
                    </td>
                    <td>
                        <asp:Button ID="bClaimTask" runat="server" Text="Claim Subtask" />
                    </td>
                    <td>
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td colspan="3">
                        <asp:Label ID="lClaimOutcome" runat="server" Visible="False"></asp:Label>
                    </td>
                </tr>
            </table><br />
            <table>
                <tr>
                    <td colspan="3" style="text-align: center">
                        <asp:Label ID="lUpdateTask" runat="server" Text="Update a Task"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lChooseTask" runat="server" Text="Choose the task"></asp:Label>
                    </td>
                    <td>
                        <asp:DropDownList ID="ddlTaskToUpdate" runat="server" AutoPostBack="True">
                        </asp:DropDownList>
                    </td>
                    <td>
                        <asp:RequiredFieldValidator ID="rfvTasks" runat="server" 
                            ControlToValidate="ddlTaskToUpdate" Display="Dynamic" ErrorMessage="Choose a task!">*</asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lUpdateStatus" runat="server" Text="Update the Status"></asp:Label>
                    </td>
                    <td>
                        <asp:DropDownList ID="ddlStatus" runat="server">
                        </asp:DropDownList>
                    </td>
                    <td>
                        &nbsp;</td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lUpdatePriority" runat="server" Text="Change the Priority"></asp:Label>
                    </td>
                    <td>
                        <asp:DropDownList ID="ddlPriorities" runat="server">
                        </asp:DropDownList>
                    </td>
                    <td>
                        &nbsp;</td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lUpdateTime" runat="server" Text="Update Actual Time"></asp:Label>
                    </td>
                    <td>
                        <asp:TextBox ID="tActualTime" runat="server" Columns="20" MaxLength="4" 
                            Rows="1"></asp:TextBox>
                    </td>
                    <td>
                        <asp:RequiredFieldValidator ID="rfvActualTime" runat="server" 
                            
                            ErrorMessage="Actual time is required and must be greater than last entry!" 
                            ControlToValidate="tActualTime" Display="Dynamic">*</asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lAssignUser" runat="server" Text="Assign to a different team member"></asp:Label>
                    </td>
                    <td>
                        <asp:DropDownList ID="ddlNewDev" runat="server">
                        </asp:DropDownList>
                    </td>
                    <td>
                        &nbsp;</td>
                </tr>
                <tr>
                    <td>
                        <asp:ValidationSummary ID="ValidationSummary2" runat="server" />
                    </td>
                    <td>
                        <asp:Button ID="bUpdateTask" runat="server" Text="Update Task" />
                    </td>
                    <td>
                    </td>
                </tr>
                <tr>
                    <td colspan="3">
                        <asp:Label ID="lUpdateOutcome" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
