﻿<%@ Control Language="VB" AutoEventWireup="false" CodeFile="task.ascx.vb" Inherits="wuc_task" %>
<table>
    <tr>
        <td colspan="2">
            <asp:Label ID="lOutcome" runat="server" Visible="False"></asp:Label>
        </td>
    </tr>
    <tr>
        <td>
            &nbsp;<asp:Label ID="lSelectProject" runat="server" Text="Select Project"></asp:Label>
        </td>
        <td>
            <asp:DropDownList ID="ddlProjects" runat="server" Width="250px" AutoPostBack="True" />
            <asp:RequiredFieldValidator ID="ReqFieldValidatorProject" runat="server" ControlToValidate="ddlProjects"
                ErrorMessage="Project Is Required">*</asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td>
            <asp:Label ID="lSelectFeature" runat="server" Text="Select Feature"></asp:Label>
        </td>
        <td>
            <asp:DropDownList ID="ddlFeatures" runat="server" Width="250px" />
            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="ddlFeatures"
                ErrorMessage="Feature Is Required">*</asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td>
            <asp:Label ID="lSubtaskName" runat="server" Text="Subtask Name"></asp:Label>
        </td>
        <td>
            <asp:TextBox ID="tName" runat="server" Width="250px"></asp:TextBox>
            <asp:RequiredFieldValidator ID="ReqFieldFeatName" runat="server" ControlToValidate="tName"
                ErrorMessage="Subtask Name Required">*</asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td>
            <asp:Label ID="lSubtaskDesc" runat="server" Text="Subtask Description"></asp:Label>
        </td>
        <td>
            <asp:TextBox ID="tDesc" runat="server" Width="250px" MaxLength="150" Rows="5" TextMode="MultiLine" />
            <asp:RequiredFieldValidator ID="ReqFieldDesc" runat="server" ControlToValidate="tDesc"
                ErrorMessage="Description Required">*</asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td>
            <asp:Label ID="lSelectPriority" runat="server" Text="Select Priority"></asp:Label>
        </td>
        <td>
            <asp:DropDownList ID="ddlPriorities" runat="server" />
            <asp:RequiredFieldValidator ID="ReqFieldPriority" runat="server" ControlToValidate="ddlPriorities"
                ErrorMessage="Priority Required">*</asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td>
            <asp:Label ID="lEstTime" runat="server" Text="Est. Time (in Hours)"></asp:Label>
        </td>
        <td>
            <asp:TextBox ID="tEstTime" runat="server" MaxLength="4" Columns="20"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td>
            <asp:HiddenField ID="hTaskId" runat="server" />
        </td>
        <td>
            <asp:Button ID="bSave" runat="server" Text="Save Task" />
            <asp:Button ID="bUpdate" runat="server" Text="Update Task" />
            <asp:Button ID="bNewTask" runat="server" Text="Enter New Task" Visible="False" />
        </td>
    </tr>
    <tr>
        <td>
        </td>
        <td>
            <asp:ValidationSummary ID="ValidationSummary" runat="server" />
        </td>
    </tr>
</table>
